EnumParameter (Occurrence Data Management 2.0.0-3.1.1 API)
Date: 2014-06-04

org.gcube.portlets.user.occurrencemanagement.shared.statisticalparameter

## Class EnumParameter

- java.lang.Object
- - org.gcube.portlets.user.occurrencemanagement.shared.statisticalparameter.Parameter
  - - org.gcube.portlets.user.occurrencemanagement.shared.statisticalparameter.EnumParameter

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.IsSerializable

      public class EnumParameter
      extends Parameter
      implements com.google.gwt.user.client.rpc.IsSerializable

  Author:
    ceras

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.gcube.portlets.user.occurrencemanagement.shared.statisticalparameter.Parameter

      `Parameter.ParameterTypology`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnumParameter()`
    `EnumParameter(String name, String description, List<String> values, String defaultValue)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addValue(String value)`
    `String` | `getDefaultValue()`
    `String` | `getValue()`
    `List<String>` | `getValues()`
    `void` | `setDefaultValue(String defaultValue)`
    `void` | `setValue(String value)`
    `void` | `setValues(List<String> values)`

    - ### Methods inherited from class org.gcube.portlets.user.occurrencemanagement.shared.statisticalparameter.Parameter

      `getDescription, getName, getTypology, isColumn, isColumnList, isEnum, isFile, isList, isObject, isTabular, setDescription, setName, setTypology`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EnumParameter

          public EnumParameter()

    - #### EnumParameter

          public EnumParameter(String name,
                       String description,
                       List<String> values,
                       String defaultValue)

      Parameters:
        `type` -
        `defaultValue` -
        `value` -

  - ### Method Detail

    - #### getDefaultValue

          public String getDefaultValue()

      Returns:
        the defaultValue

    - #### setDefaultValue

          public void setDefaultValue(String defaultValue)

      Parameters:
        `defaultValue` - the defaultValue to set

    - #### setValues

          public void setValues(List<String> values)

      Parameters:
        `values` - the values to set

    - #### getValues

          public List<String> getValues()

      Returns:
        the values

    - #### addValue

          public void addValue(String value)

    - #### getValue

          public String getValue()

      Specified by:
        `getValue` in class `Parameter`
      Returns:
        the value

    - #### setValue

          public void setValue(String value)

      Specified by:
        `setValue` in class `Parameter`

Copyright © 2014. All Rights Reserved.